Bug 108326

Summary: Add default implementation for KURL::fileSystemPath()
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: WebCore Misc.Assignee: Patrick R. Gansterer <paroga>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, gyuyoung.kim, mifenton, rakuco, rwlbuis, tonikitoo, webkit.review.bot, yong.li.webkit
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Patch benjamin: review+, webkit.review.bot: commit-queue-

Description Patrick R. Gansterer 2013-01-30 04:39:05 PST
Add default implementation for KURL::fileSystemPath()
Comment 1 Patrick R. Gansterer 2013-01-30 04:45:40 PST
Created attachment 185467 [details]
Patch
Comment 2 Alexey Proskuryakov 2013-01-30 11:31:06 PST
Comment on attachment 185467 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=185467&action=review

> Source/WebCore/platform/KURL.cpp:654
> +    return path();

One common case where this would fail is for any path that has percent-encoded characters.

I understand that this is just refactoring that doesn't change behavior for worse, however code in cross-platform files has a higher expectation of correctness than port-specific code.
Comment 3 Patrick R. Gansterer 2013-01-30 23:51:02 PST
Created attachment 185692 [details]
Patch
Comment 4 WebKit Review Bot 2013-01-31 03:29:16 PST
Comment on attachment 185692 [details]
Patch

Attachment 185692 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16266160

New failing tests:
fast/frames/parser-append-subframe-count.html
Comment 5 Benjamin Poulain 2013-04-07 14:45:17 PDT
Comment on attachment 185692 [details]
Patch

I am unhappy this adds more platform stuff in KURL.
This is a nice improvement nonetheless.
Comment 6 Patrick R. Gansterer 2013-04-07 15:17:35 PDT
Committed r147883: <http://trac.webkit.org/changeset/147883>